<?php

namespace app\admin\model;

use think\Model;
use think\Db;

class Userdongtai extends Model
{

    

    

    // 表名
    protected $name = 'user_dongtai';
    
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = 'int';

    // 定义时间戳字段名
    protected $createTime = 'createtime';
    protected $updateTime = 'updatetime';
    protected $deleteTime = false;

    // 追加属性
    protected $append = [
        'is_hidden_text'
    ];

    protected static function init()
    {
        self::afterDelete(function ($row){
            //删除点赞，评论
            Db::name('user_dongtai_answer')->where('dt_id',$row['id'])->delete();
            Db::name('user_dongtai_good')->where('dt_id',$row['id'])->delete();
        });
    }
    

    
    public function getIsHiddenList()
    {
        return ['1' => __('Is_hidden 1'), '0' => __('Is_hidden 0')];
    }


    public function getIsHiddenTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['is_hidden']) ? $data['is_hidden'] : '');
        $list = $this->getIsHiddenList();
        return isset($list[$value]) ? $list[$value] : '';
    }




    public function user()
    {
        return $this->belongsTo('User', 'user_id', 'id', [], 'LEFT')->setEagerlyType(0);
    }
}
